POST api/v1/ShoppingTags
Request Information
URI Parameters
None.
Body Parameters
ShoppingTag| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Name | string |
None. |
|
| Slug | string |
None. |
|
| IsActive | boolean |
None. |
|
| IsDeleted | boolean |
None. |
|
| CreatedAt | date |
None. |
|
| UpdatedAt | date |
None. |
|
| ShoppingItem | Collection of ShoppingItem |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"name": "sample string 2",
"slug": "sample string 3",
"isActive": true,
"isDeleted": true,
"createdAt": "2026-04-18T15:03:15.802831+03:00",
"updatedAt": "2026-04-18T15:03:15.802831+03:00",
"shoppingItem": [
{
"id": 1,
"category": 64,
"title": "sample string 3",
"description": "sample string 4",
"ageMinMonths": 5,
"ageMaxMonths": 1,
"isEssential": true,
"safetyNotes": "sample string 6",
"imageUrl": "sample string 7",
"productUrl": "sample string 8",
"priceMin": 1.0,
"priceMax": 1.0,
"brandHint": "sample string 9",
"material": "sample string 10",
"displayOrder": 1,
"isActive": true,
"isDeleted": true,
"createdAt": "2026-04-18T15:03:15.802831+03:00",
"updatedAt": "2026-04-18T15:03:15.802831+03:00",
"shoppingTag": []
},
{
"id": 1,
"category": 64,
"title": "sample string 3",
"description": "sample string 4",
"ageMinMonths": 5,
"ageMaxMonths": 1,
"isEssential": true,
"safetyNotes": "sample string 6",
"imageUrl": "sample string 7",
"productUrl": "sample string 8",
"priceMin": 1.0,
"priceMax": 1.0,
"brandHint": "sample string 9",
"material": "sample string 10",
"displayOrder": 1,
"isActive": true,
"isDeleted": true,
"createdAt": "2026-04-18T15:03:15.802831+03:00",
"updatedAt": "2026-04-18T15:03:15.802831+03:00",
"shoppingTag": []
}
]
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.